# ╭───────────────────────────────────╮
# │ This file holds the content to    │
# │ install and configure the plugins │
# │ used by fisher, and of course the │
# │ fisher itself                     │
# ╰───────────────────────────────────╯

function check_fisher
if [[ ! -e $HOME/.config/fish/functions/fisher.fish ]]
  curl -sL https://raw.githubusercontent.com/jorgebucaran/fisher/main/functions/fisher.fish | source && fisher install jorgebucaran/fisher
else
# ─< define plugins to use with fisher >────────────────────────────────────────────────────
set plugin "PatrickF1/fzf.fish" "jorgebucaran/autopair.fish"
    for plug in $plugin
        fisher update $plu ||  fisher install $plug
        end
    end
end


function plugins_fisher
end
